#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )


volatile int sel = 0;

void func_a() {
	if (sel) {
		bit_set(DDRB, PB0);
		bit_set(PORTB, PB0);
	} else {
		bit_clear(PORTB, PB0);
		bit_clear(DDRB, PB0);
	}
}

main() {
	sel = 1;
	func_a();

	sel = 0;
	func_a();
	for (;;) 
		;
}
